GenerateProjectFileTask.ProjectSpec (Gradle API 8.14.1)
Description: declaration: package: org.gradle.ide.visualstudio.tasks, class: GenerateProjectFileTask, class: ProjectSpec

Package org.gradle.ide.visualstudio.tasks

# Class GenerateProjectFileTask.ProjectSpec

java.lang.Object
org.gradle.ide.visualstudio.tasks.GenerateProjectFileTask.ProjectSpec

Enclosing class:
  `GenerateProjectFileTask`

@Incubating protected static class GenerateProjectFileTask.ProjectSpec extends Object
The data to use to generate the project file.

Since:
  8.11

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile.ConfigurationSpec>`
  `getConfigurations()`
  Configurations to include in the project.
  `String`
  `getGradleCommand()`
  Command to use to run Gradle from the project.
  `Provider<Set<String>>`
  `getHeaderFilesPaths()`
  The header files for this project.
  `Set<String>`
  `getResourceFilePaths()`
  The resource files for this project.
  `Provider<String>`
  `getSdkVersion()`
  The SDK version for this project.
  `Provider<Set<String>>`
  `getSourceFilePaths()`
  The source files for this project.
  `Provider<String>`
  `getVisualStudioVersion()`
  The VS version for this project.
  `String`
  `getWarning()`
  Warning to report to users after generating the project file.
  `List<Action<? super XmlProvider>>`
  `getXmlActions()`
  Additional XML generation actions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getVisualStudioVersion

    @Input @Incubating public Provider<String> getVisualStudioVersion()
    The VS version for this project.
    Since:
      8.11

  - ### getSdkVersion

    @Input @Incubating public Provider<String> getSdkVersion()
    The SDK version for this project.
    Since:
      8.11

  - ### getSourceFilePaths

    @Input @Incubating public Provider<Set<String>> getSourceFilePaths()
    The source files for this project.
    Since:
      8.11

  - ### getResourceFilePaths

    @Input @Incubating public Set<String> getResourceFilePaths()
    The resource files for this project.
    Since:
      8.11

  - ### getHeaderFilesPaths

    @Input @Incubating public Provider<Set<String>> getHeaderFilesPaths()
    The header files for this project.
    Since:
      8.11

  - ### getGradleCommand

    @Input @Incubating public String getGradleCommand()
    Command to use to run Gradle from the project.
    Since:
      8.11

  - ### getWarning

    @Input @Optional @Incubating public String getWarning()
    Warning to report to users after generating the project file.
    Since:
      8.11

  - ### getConfigurations

    @Incubating public List<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile.ConfigurationSpec> getConfigurations()
    Configurations to include in the project.
    Since:
      8.11

  - ### getXmlActions

    @Incubating public List<Action<? super XmlProvider>> getXmlActions()
    Additional XML generation actions.
    Since:
      8.11